Module com.io7m.jregions.core
Package com.io7m.jregions.core.parameterized.sizes

## Class PVolumeSizeBD<S>

- java.lang.Object
- - com.io7m.jregions.core.parameterized.sizes.PVolumeSizeBD<S>

- Type Parameters:
    `S` - A phantom type parameter indicating the coordinate space of the volume
  All Implemented Interfaces:
    `PVolumeSizeBDType<S>`, `VolumeSizeValuesBDType`

      public final class PVolumeSizeBD<S>
      extends java.lang.Object
      implements PVolumeSizeBDType<S>

  The size of a volume with `BigDecimal` coordinates.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PVolumeSizeBD.Builder<S>` | Builds instances of type `PVolumeSizeBD`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <S> PVolumeSizeBD.Builder<S>` | `builder​()` | Creates a builder for `PVolumeSizeBD`.
    `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `PVolumeSizeBD` that have equal attribute values.
    `int` | `hashCode​()` | Computes a hash code from attributes: `sizeX`, `sizeY`, `sizeZ`.
    `static <S> PVolumeSizeBD<S>` | `of​(java.math.BigDecimal sizeX, java.math.BigDecimal sizeY, java.math.BigDecimal sizeZ)` | Construct a new immutable `PVolumeSizeBD` instance.
    `java.math.BigDecimal` | `sizeX​()` |
    `java.math.BigDecimal` | `sizeY​()` |
    `java.math.BigDecimal` | `sizeZ​()` |
    `java.lang.String` | `toString​()` | Prints the immutable value `PVolumeSizeBD` with attribute values.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### sizeX

          public java.math.BigDecimal sizeX​()

      Specified by:
        `sizeX` in interface `PVolumeSizeBDType<S>`
      Specified by:
        `sizeX` in interface `VolumeSizeValuesBDType`
      Returns:
        The value of the `sizeX` attribute

    - #### sizeY

          public java.math.BigDecimal sizeY​()

      Specified by:
        `sizeY` in interface `PVolumeSizeBDType<S>`
      Specified by:
        `sizeY` in interface `VolumeSizeValuesBDType`
      Returns:
        The value of the `sizeY` attribute

    - #### sizeZ

          public java.math.BigDecimal sizeZ​()

      Specified by:
        `sizeZ` in interface `PVolumeSizeBDType<S>`
      Specified by:
        `sizeZ` in interface `VolumeSizeValuesBDType`
      Returns:
        The value of the `sizeZ` attribute

    - #### equals

          public boolean equals​(java.lang.Object another)

      This instance is equal to all instances of `PVolumeSizeBD` that have equal attribute values.
      Overrides:
        `equals` in class `java.lang.Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode​()

      Computes a hash code from attributes: `sizeX`, `sizeY`, `sizeZ`.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        hashCode value

    - #### toString

          public java.lang.String toString​()

      Prints the immutable value `PVolumeSizeBD` with attribute values.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A string representation of the value

    - #### of

          public static <S> PVolumeSizeBD<S> of​(java.math.BigDecimal sizeX,
                                                java.math.BigDecimal sizeY,
                                                java.math.BigDecimal sizeZ)

      Construct a new immutable `PVolumeSizeBD` instance.
      Parameters:
        `sizeX` - The value for the `sizeX` attribute
        `sizeY` - The value for the `sizeY` attribute
        `sizeZ` - The value for the `sizeZ` attribute
      Returns:
        An immutable PVolumeSizeBD instance

    - #### builder

          public static <S> PVolumeSizeBD.Builder<S> builder​()

      Creates a builder for `PVolumeSizeBD`.
      Type Parameters:
        `S` - generic parameter S
      Returns:
        A new PVolumeSizeBD builder

Copyright © 2017 <code@io7m.com> http://io7m.com